> ## Documentation Index
> Fetch the complete documentation index at: https://anyip.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List tags

> Paginated list of tags for the team.



## OpenAPI

````yaml /openapi.json get /api/v1/teams/{team_id}/tags
openapi: 3.1.0
info:
  title: AnyIP.io API documentation
  description: API documentation
  version: 1.0.0
servers:
  - url: /
    description: ''
security:
  - apiHeader: []
tags:
  - name: V1.IpWhitelist
    description: Public API v1 — IP whitelist management
  - name: V1.ProxyAccount
    description: Public API v1 — proxy account provisioning and lifecycle
  - name: V1.ProxyProfile
    description: Public API v1 — proxy profile management
  - name: V1.Subscription
    description: Public API v1 — team subscription (read-only)
  - name: V1.Tag
    description: Public API v1 — tag management
  - name: V1.Traffic
    description: Public API v1 — traffic time series (read-only)
  - name: V1.Usage
    description: Public API v1 — quota usage (read-only)
paths:
  /api/v1/teams/{team_id}/tags:
    get:
      tags:
        - V1.Tag
      summary: List tags
      description: Paginated list of tags for the team.
      operationId: public_v1_tag_get_collection
      parameters:
        - name: team_id
          in: path
          description: Team identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
        - name: page
          in: query
          description: The collection page number
          required: false
          deprecated: false
          schema:
            type: integer
            default: 1
          style: form
          explode: true
        - name: itemsPerPage
          in: query
          description: The number of items per page
          required: false
          deprecated: false
          schema:
            type: integer
            default: 30
            minimum: 0
            maximum: 100
          style: form
          explode: true
      responses:
        '200':
          description: V1.Tag collection
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                  - meta
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/V1.Tag'
                  meta:
                    $ref: '#/components/schemas/CollectionMeta'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
components:
  schemas:
    V1.Tag:
      type: object
      description: Public API v1 — tag management
      properties:
        id:
          readOnly: true
          type:
            - string
            - 'null'
        label:
          maxLength: 20
          default: ''
          type: string
        color:
          pattern: >-
            ^(#[0-9a-f]{6}|#[0-9a-f]{8}|#[0-9a-f]{3}|#[0-9a-f]{4}|(black|silver|gray|white|maroon|red|purple|fuchsia|green|lime|olive|yellow|navy|blue|teal|aqua)|(aliceblue|antiquewhite|aqua|aquamarine|azure|beige|bisque|black|blanchedalmond|blue|blueviolet|brown|burlywood|cadetblue|chartreuse|chocolate|coral|cornflowerblue|cornsilk|crimson|cyan|darkblue|darkcyan|darkgoldenrod|darkgray|darkgreen|darkgrey|darkkhaki|darkmagenta|darkolivegreen|darkorange|darkorchid|darkred|darksalmon|darkseagreen|darkslateblue|darkslategray|darkslategrey|darkturquoise|darkviolet|deeppink|deepskyblue|dimgray|dimgrey|dodgerblue|firebrick|floralwhite|forestgreen|fuchsia|gainsboro|ghostwhite|gold|goldenrod|gray|green|greenyellow|grey|honeydew|hotpink|indianred|indigo|ivory|khaki|lavender|lavenderblush|lawngreen|lemonchiffon|lightblue|lightcoral|lightcyan|lightgoldenrodyellow|lightgray|lightgreen|lightgrey|lightpink|lightsalmon|lightseagreen|lightskyblue|lightslategray|lightslategrey|lightsteelblue|lightyellow|lime|limegreen|linen|magenta|maroon|mediumaquamarine|mediumblue|mediumorchid|mediumpurple|mediumseagreen|mediumslateblue|mediumspringgreen|mediumturquoise|mediumvioletred|midnightblue|mintcream|mistyrose|moccasin|navajowhite|navy|oldlace|olive|olivedrab|orange|orangered|orchid|palegoldenrod|palegreen|paleturquoise|palevioletred|papayawhip|peachpuff|peru|pink|plum|powderblue|purple|red|rosybrown|royalblue|saddlebrown|salmon|sandybrown|seagreen|seashell|sienna|silver|skyblue|slateblue|slategray|slategrey|snow|springgreen|steelblue|tan|teal|thistle|tomato|turquoise|violet|wheat|white|whitesmoke|yellow|yellowgreen)|(Canvas|CanvasText|LinkText|VisitedText|ActiveText|ButtonFace|ButtonText|ButtonBorder|Field|FieldText|Highlight|HighlightText|SelectedItem|SelectedItemText|Mark|MarkText|GrayText)|(transparent|currentColor)|rgb\(\s*(0|255|25[0-4]|2[0-4]\d|1\d\d|0?\d?\d),\s*(0|255|25[0-4]|2[0-4]\d|1\d\d|0?\d?\d),\s*(0|255|25[0-4]|2[0-4]\d|1\d\d|0?\d?\d)\s*\)|rgba\(\s*(0|255|25[0-4]|2[0-4]\d|1\d\d|0?\d?\d),\s*(0|255|25[0-4]|2[0-4]\d|1\d\d|0?\d?\d),\s*(0|255|25[0-4]|2[0-4]\d|1\d\d|0?\d?\d),\s*(0|0?\.\d+|1(\.0)?)\s*\)|hsl\(\s*(0|360|35\d|3[0-4]\d|[12]\d\d|0?\d?\d),\s*(0|100|\d{1,2})%,\s*(0|100|\d{1,2})%\s*\)|hsla\(\s*(0|360|35\d|3[0-4]\d|[12]\d\d|0?\d?\d),\s*(0|100|\d{1,2})%,\s*(0|100|\d{1,2})%,\s*(0|0?\.\d+|1(\.0)?)\s*\))$
          default: '#FF0000'
          type: string
        created_at:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
      required:
        - label
    CollectionMeta:
      type: object
      properties:
        page:
          type: integer
        per_page:
          type: integer
        total:
          type: integer
    Error:
      type: object
      description: A representation of common errors.
      properties:
        title:
          readOnly: true
          description: A short, human-readable summary of the problem.
          type:
            - string
            - 'null'
        detail:
          readOnly: true
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
          examples:
            - 404
          default: 400
        instance:
          readOnly: true
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem. It may or may not yield further information if
            dereferenced.
          type:
            - string
            - 'null'
        type:
          readOnly: true
          description: A URI reference that identifies the problem type
          type: string
  securitySchemes:
    apiHeader:
      type: apiKey
      description: Value for the Api-Key header parameter.
      name: Api-Key
      in: header

````